# M106 Winter 2019, Data-driven UQ
# by Yoonsang Lee (yoonsang.lee@dartmouth.edu)
#
# Lecture 8: Importance Sampling
#
# Compare different coding styles of counting for empirical distributions
#
# Last update: Jan 18, 2019

import time
import numpy as np

n=10000;

x=np.random.randn(n,1);
threshold=4;

stime = time.time()
c1=0;
for a in x:
    if a>threshold:
       c1+=1
elapsed1 = time.time()-stime

print("Time of the standard method:",elapsed1)

stime = time.time()
c2=np.sum(x>threshold)
elapsed2 = time.time()-stime

print("Time of the vector method:",elapsed2)
